import React from 'react';
import HeaderAndFooter from '../util/HeaderAndFooter';
import GameCreationForm from '../util/GameCreationForm';
import { dispatch } from '../../domain/gameStore';

export default () => (
  <HeaderAndFooter>
    <GameCreationForm afterCreate={gameId => dispatch.goToLobby(gameId)}/>
  </HeaderAndFooter>
);